<html>
<head>
<title>Ogre::NodeAnimationTrack Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1NodeAnimationTrack.html">NodeAnimationTrack</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::NodeAnimationTrack Class Reference<div class="ingroups"><a class="el" href="group__Animation.html">Animation</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::NodeAnimationTrack" --><!-- doxytag: inherits="Ogre::AnimationTrack" -->
<p>Specialised <a class="el" href="classOgre_1_1AnimationTrack.html" title="A &#39;track&#39; in an animation sequence, i.e.">AnimationTrack</a> for dealing with node transforms.  
 <a href="classOgre_1_1NodeAnimationTrack.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::NodeAnimationTrack:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1NodeAnimationTrack__inherit__graph.gif" border="0" usemap="#Ogre_1_1NodeAnimationTrack_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1NodeAnimationTrack_inherit__map" id="Ogre_1_1NodeAnimationTrack_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AnimationTrack.html" title="A &#39;track&#39; in an animation sequence, i.e." alt="" coords="20,83,169,112"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="40,5,149,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1NodeAnimationTrack-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1NodeAnimationTrack_1_1Splines.html">Splines</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a08bfcb3a32f8237ee3f0be5abfa514d4">NodeAnimationTrack</a> (<a class="el" href="classOgre_1_1Animation.html">Animation</a> *parent, unsigned short handle)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a08bfcb3a32f8237ee3f0be5abfa514d4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#ab2c1cd43a5efd4ccdae8600f77171943">NodeAnimationTrack</a> (<a class="el" href="classOgre_1_1Animation.html">Animation</a> *parent, unsigned short handle, <a class="el" href="classOgre_1_1Node.html">Node</a> *targetNode)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor, associates with a <a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a>.  <a href="#ab2c1cd43a5efd4ccdae8600f77171943"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a01ffa844be9d73c9ead5b38cc8a69809">~NodeAnimationTrack</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a01ffa844be9d73c9ead5b38cc8a69809"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1TransformKeyFrame.html">TransformKeyFrame</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a5018654d95b4bca786c90c073fba4898">createNodeKeyFrame</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timePos)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> and adds it to this animation at the given time index.  <a href="#a5018654d95b4bca786c90c073fba4898"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Node.html">Node</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a154e16dad0e109284e1119251aa4da3f">getAssociatedNode</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to the associated <a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> object (if any).  <a href="#a154e16dad0e109284e1119251aa4da3f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a9c488e5aa6c197205cd1d70e83a22aa7">setAssociatedNode</a> (<a class="el" href="classOgre_1_1Node.html">Node</a> *node)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the associated <a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> object which will be automatically affected by calls to 'apply'.  <a href="#a9c488e5aa6c197205cd1d70e83a22aa7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a19204ead354110f70193f153959a58b4">applyToNode</a> (<a class="el" href="classOgre_1_1Node.html">Node</a> *node, const <a class="el" href="classOgre_1_1TimeIndex.html">TimeIndex</a> &amp;timeIndex, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> weight=1.0, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> scale=1.0f)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">As the 'apply' method but applies to a specified <a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> instead of associated node.  <a href="#a19204ead354110f70193f153959a58b4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a489fa7a407f81e876e947127cd52d7bb">setUseShortestRotationPath</a> (bool useShortestPath)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the method of rotation calculation.  <a href="#a489fa7a407f81e876e947127cd52d7bb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a4186c14ee9b495a25cfb529e001a5569">getUseShortestRotationPath</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the method of rotation calculation.  <a href="#a4186c14ee9b495a25cfb529e001a5569"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a2eddbf3e31adce0c1cde9db3d710c131">getInterpolatedKeyFrame</a> (const <a class="el" href="classOgre_1_1TimeIndex.html">TimeIndex</a> &amp;timeIndex, <a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> *kf) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a6260acaf8a310d45a175030e5b2f41d7">apply</a> (const <a class="el" href="classOgre_1_1TimeIndex.html">TimeIndex</a> &amp;timeIndex, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> weight=1.0, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> scale=1.0f)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#ac63ec3b7f27897f2223aca60f4c90422">_keyFrameDataChanged</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1TransformKeyFrame.html">TransformKeyFrame</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#ad0e20b825ba5221fe809456795fa9afe">getNodeKeyFrame</a> (unsigned short index) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> at the specified index.  <a href="#ad0e20b825ba5221fe809456795fa9afe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a33dfa5ceaf4d6636da3a46038068aa11">hasNonZeroKeyFrames</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Method to determine if this track has any KeyFrames which are doing anything useful - can be used to determine if this track can be optimised out.  <a href="#a33dfa5ceaf4d6636da3a46038068aa11"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#abab18a48c2cf56ef09d5049fa8289ad2">optimise</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Optimise the current track by removing any duplicate keyframes.  <a href="#abab18a48c2cf56ef09d5049fa8289ad2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1NodeAnimationTrack.html">NodeAnimationTrack</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#af8baa5bda564ab10fced1e265f21f833">_clone</a> (<a class="el" href="classOgre_1_1Animation.html">Animation</a> *newParent) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clone this track (internal use only)  <a href="#af8baa5bda564ab10fced1e265f21f833"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#acdfc6729a95edae3da832c713648046d">_applyBaseKeyFrame</a> (const <a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> *base)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to re-base the keyframes relative to a given keyframe.  <a href="#acdfc6729a95edae3da832c713648046d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#a32de796f12f6afee4c93e12625535577">getHandle</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the handle associated with this track.  <a href="#a32de796f12f6afee4c93e12625535577"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#ae0c1160b89c7f2be74ae2962239bd732">getNumKeyFrames</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the number of keyframes in this animation.  <a href="#ae0c1160b89c7f2be74ae2962239bd732"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#af27f57a984619052cca4726cdfd26f3c">getKeyFrame</a> (unsigned short index) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> at the specified index.  <a href="#af27f57a984619052cca4726cdfd26f3c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#a55533ed5218c6d423e9443afa2580f5a">getKeyFramesAtTime</a> (const <a class="el" href="classOgre_1_1TimeIndex.html">TimeIndex</a> &amp;timeIndex, <a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> **keyFrame1, <a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> **keyFrame2, unsigned short *firstKeyIndex=0) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the 2 <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> objects which are active at the time given, and the blend value between them.  <a href="#a55533ed5218c6d423e9443afa2580f5a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#a4517a1b16d6cb601754d98841bb4d7d6">createKeyFrame</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timePos)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> and adds it to this animation at the given time index.  <a href="#a4517a1b16d6cb601754d98841bb4d7d6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#a3e1ccd99179d804992a5224fe811c2dd">removeKeyFrame</a> (unsigned short index)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes a <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> by it's index.  <a href="#a3e1ccd99179d804992a5224fe811c2dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#ac8f7b83d742998ed46c8cdb10e404df6">removeAllKeyFrames</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes all the KeyFrames from this track.  <a href="#ac8f7b83d742998ed46c8cdb10e404df6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#a9e950713ebb7b1c51fdd90ec8378c2cc">_collectKeyFrameTimes</a> (<a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt;::type &amp;keyFrameTimes)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to collect keyframe times, in unique, ordered format.  <a href="#a9e950713ebb7b1c51fdd90ec8378c2cc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#af25294adccef1ab3c5d456aee2c5cb29">_buildKeyFrameIndexMap</a> (const <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt;::type &amp;keyFrameTimes)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to build keyframe time index map to translate global lower bound index to local lower bound index.  <a href="#af25294adccef1ab3c5d456aee2c5cb29"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#afe26aa738aca34c07407b6566b5d9eeb">setListener</a> (<a class="el" href="classOgre_1_1AnimationTrack_1_1Listener.html">Listener</a> *l)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a listener for this track.  <a href="#afe26aa738aca34c07407b6566b5d9eeb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Animation.html">Animation</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#a2e5269293886cae1d0bc7e0255b239fd">getParent</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the parent <a class="el" href="classOgre_1_1Animation.html" title="An animation sequence.">Animation</a> object for this track.  <a href="#a2e5269293886cae1d0bc7e0255b239fd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#affbdca5aaf89d6d611d8da2dc6143f1a">KeyFrameList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#a2faf6bb4a4d61446bc25795f8f7d957c">KeyFrameIndexMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Map used to translate global keyframe time lower bound index to local lower bound index.  <a href="#a2faf6bb4a4d61446bc25795f8f7d957c"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#ae924dabecde99745c3aa9a24729e8902">createKeyFrameImpl</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> time)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialised keyframe creation.  <a href="#ae924dabecde99745c3aa9a24729e8902"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a1745b618de6c8684b77ef3f2314065e3">buildInterpolationSplines</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#a4e61fb2e00abd26a854d122452cb21a0">populateClone</a> (<a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *clone) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for clone implementation.  <a href="#a4e61fb2e00abd26a854d122452cb21a0"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Node.html">Node</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a0dc80f6d98b2b0d4d1022af4629abf88">mTargetNode</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1NodeAnimationTrack_1_1Splines.html">Splines</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#aeda31d3b9e77688be33d7e57b0d25f0b">mSplines</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a9254f84e8a884379be88508481a9760d">mSplineBuildNeeded</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a5b92dd90793e598d1338e0573a22d62d">mUseShortestRotationPath</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines if rotation is done using shortest path.  <a href="#a5b92dd90793e598d1338e0573a22d62d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnimationTrack.html#affbdca5aaf89d6d611d8da2dc6143f1a">KeyFrameList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#a8a9bee08f6fa537fc0bcfcee2423775c">mKeyFrames</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Animation.html">Animation</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#aea479089005d263e195cde7e4faca665">mParent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#a5fb5dc3c01452aa4d542981485d15080">mHandle</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnimationTrack_1_1Listener.html">Listener</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#ab1a098b88d428931e3d45393410bc68c">mListener</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnimationTrack.html#a2faf6bb4a4d61446bc25795f8f7d957c">KeyFrameIndexMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html#a2c053bac1d2eedc782eb24b79dc79a21">mKeyFrameIndexMap</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Specialised <a class="el" href="classOgre_1_1AnimationTrack.html" title="A &#39;track&#39; in an animation sequence, i.e.">AnimationTrack</a> for dealing with node transforms. </p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00325">325</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a2faf6bb4a4d61446bc25795f8f7d957c"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::KeyFrameIndexMap" ref="a2faf6bb4a4d61446bc25795f8f7d957c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&gt;::type <a class="el" href="classOgre_1_1AnimationTrack.html#a2faf6bb4a4d61446bc25795f8f7d957c">Ogre::AnimationTrack::KeyFrameIndexMap</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Map used to translate global keyframe time lower bound index to local lower bound index. </p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00249">249</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="affbdca5aaf89d6d611d8da2dc6143f1a"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::KeyFrameList" ref="affbdca5aaf89d6d611d8da2dc6143f1a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a>*&gt;::type <a class="el" href="classOgre_1_1AnimationTrack.html#affbdca5aaf89d6d611d8da2dc6143f1a">Ogre::AnimationTrack::KeyFrameList</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00242">242</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a08bfcb3a32f8237ee3f0be5abfa514d4"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::NodeAnimationTrack" ref="a08bfcb3a32f8237ee3f0be5abfa514d4" args="(Animation *parent, unsigned short handle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a08bfcb3a32f8237ee3f0be5abfa514d4">Ogre::NodeAnimationTrack::NodeAnimationTrack</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Animation.html">Animation</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>handle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor. </p>

</div>
</div>
<a class="anchor" id="ab2c1cd43a5efd4ccdae8600f77171943"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::NodeAnimationTrack" ref="ab2c1cd43a5efd4ccdae8600f77171943" args="(Animation *parent, unsigned short handle, Node *targetNode)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1NodeAnimationTrack.html#a08bfcb3a32f8237ee3f0be5abfa514d4">Ogre::NodeAnimationTrack::NodeAnimationTrack</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Animation.html">Animation</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Node.html">Node</a> *&#160;</td>
          <td class="paramname"><em>targetNode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor, associates with a <a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a>. </p>

</div>
</div>
<a class="anchor" id="a01ffa844be9d73c9ead5b38cc8a69809"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::~NodeAnimationTrack" ref="a01ffa844be9d73c9ead5b38cc8a69809" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1NodeAnimationTrack.html#a01ffa844be9d73c9ead5b38cc8a69809">Ogre::NodeAnimationTrack::~NodeAnimationTrack</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acdfc6729a95edae3da832c713648046d"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::_applyBaseKeyFrame" ref="acdfc6729a95edae3da832c713648046d" args="(const KeyFrame *base)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1NodeAnimationTrack.html#acdfc6729a95edae3da832c713648046d">Ogre::NodeAnimationTrack::_applyBaseKeyFrame</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to re-base the keyframes relative to a given keyframe. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1AnimationTrack.html#aed855e8117300af01d646ff49b020916">Ogre::AnimationTrack</a>.</p>

</div>
</div>
<a class="anchor" id="af25294adccef1ab3c5d456aee2c5cb29"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::_buildKeyFrameIndexMap" ref="af25294adccef1ab3c5d456aee2c5cb29" args="(const vector&lt; Real &gt;::type &amp;keyFrameTimes)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimationTrack.html#af25294adccef1ab3c5d456aee2c5cb29">Ogre::AnimationTrack::_buildKeyFrameIndexMap</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt;::type &amp;&#160;</td>
          <td class="paramname"><em>keyFrameTimes</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to build keyframe time index map to translate global lower bound index to local lower bound index. </p>

</div>
</div>
<a class="anchor" id="af8baa5bda564ab10fced1e265f21f833"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::_clone" ref="af8baa5bda564ab10fced1e265f21f833" args="(Animation *newParent) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1NodeAnimationTrack.html">NodeAnimationTrack</a>* <a class="el" href="classOgre_1_1NodeAnimationTrack.html#af8baa5bda564ab10fced1e265f21f833">Ogre::NodeAnimationTrack::_clone</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Animation.html">Animation</a> *&#160;</td>
          <td class="paramname"><em>newParent</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clone this track (internal use only) </p>

</div>
</div>
<a class="anchor" id="a9e950713ebb7b1c51fdd90ec8378c2cc"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::_collectKeyFrameTimes" ref="a9e950713ebb7b1c51fdd90ec8378c2cc" args="(vector&lt; Real &gt;::type &amp;keyFrameTimes)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimationTrack.html#a9e950713ebb7b1c51fdd90ec8378c2cc">Ogre::AnimationTrack::_collectKeyFrameTimes</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt;::type &amp;&#160;</td>
          <td class="paramname"><em>keyFrameTimes</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to collect keyframe times, in unique, ordered format. </p>

</div>
</div>
<a class="anchor" id="ac63ec3b7f27897f2223aca60f4c90422"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::_keyFrameDataChanged" ref="ac63ec3b7f27897f2223aca60f4c90422" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1NodeAnimationTrack.html#ac63ec3b7f27897f2223aca60f4c90422">Ogre::NodeAnimationTrack::_keyFrameDataChanged</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Internal method used to tell the track that keyframe data has been changed, which may cause it to rebuild some internal data. </p>
 
<p>Reimplemented from <a class="el" href="classOgre_1_1AnimationTrack.html#a715b6d025247c4857a5deba9376ae48c">Ogre::AnimationTrack</a>.</p>

</div>
</div>
<a class="anchor" id="a6260acaf8a310d45a175030e5b2f41d7"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::apply" ref="a6260acaf8a310d45a175030e5b2f41d7" args="(const TimeIndex &amp;timeIndex, Real weight=1.0, Real scale=1.0f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1NodeAnimationTrack.html#a6260acaf8a310d45a175030e5b2f41d7">Ogre::NodeAnimationTrack::apply</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TimeIndex.html">TimeIndex</a> &amp;&#160;</td>
          <td class="paramname"><em>timeIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>weight</em> = <code>1.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>scale</em> = <code>1.0f</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Applies an animation track to the designated target. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">timeIndex</td><td>The time position in the animation to apply. </td></tr>
    <tr><td class="paramname">weight</td><td>The influence to give to this track, 1.0 for full influence, less to blend with other animations. </td></tr>
    <tr><td class="paramname">scale</td><td>The scale to apply to translations and scalings, useful for adapting an animation to a different size target. </td></tr>
  </table>
  </dd>
</dl>
 
<p>Implements <a class="el" href="classOgre_1_1AnimationTrack.html#aa32b2807aee58478f96e75bfa44141cc">Ogre::AnimationTrack</a>.</p>

</div>
</div>
<a class="anchor" id="a19204ead354110f70193f153959a58b4"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::applyToNode" ref="a19204ead354110f70193f153959a58b4" args="(Node *node, const TimeIndex &amp;timeIndex, Real weight=1.0, Real scale=1.0f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1NodeAnimationTrack.html#a19204ead354110f70193f153959a58b4">Ogre::NodeAnimationTrack::applyToNode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Node.html">Node</a> *&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TimeIndex.html">TimeIndex</a> &amp;&#160;</td>
          <td class="paramname"><em>timeIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>weight</em> = <code>1.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>scale</em> = <code>1.0f</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>As the 'apply' method but applies to a specified <a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> instead of associated node. </p>

</div>
</div>
<a class="anchor" id="a1745b618de6c8684b77ef3f2314065e3"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::buildInterpolationSplines" ref="a1745b618de6c8684b77ef3f2314065e3" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1NodeAnimationTrack.html#a1745b618de6c8684b77ef3f2314065e3">Ogre::NodeAnimationTrack::buildInterpolationSplines</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a4517a1b16d6cb601754d98841bb4d7d6"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::createKeyFrame" ref="a4517a1b16d6cb601754d98841bb4d7d6" args="(Real timePos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a>* <a class="el" href="classOgre_1_1AnimationTrack.html#a4517a1b16d6cb601754d98841bb4d7d6">Ogre::AnimationTrack::createKeyFrame</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timePos</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a new <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> and adds it to this animation at the given time index. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>It is better to create KeyFrames in time order. Creating them out of order can result in expensive reordering processing. Note that a <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> at time index 0.0 is always created for you, so you don't need to create this one, just access it using getKeyFrame(0); </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">timePos</td><td>The time from which this <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> will apply. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae924dabecde99745c3aa9a24729e8902"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::createKeyFrameImpl" ref="ae924dabecde99745c3aa9a24729e8902" args="(Real time)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a>* <a class="el" href="classOgre_1_1NodeAnimationTrack.html#ae924dabecde99745c3aa9a24729e8902">Ogre::NodeAnimationTrack::createKeyFrameImpl</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>time</em></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Specialised keyframe creation. </p>

<p>Implements <a class="el" href="classOgre_1_1AnimationTrack.html#aa344f22d2582a0adacea56bf7b6dcd7d">Ogre::AnimationTrack</a>.</p>

</div>
</div>
<a class="anchor" id="a5018654d95b4bca786c90c073fba4898"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::createNodeKeyFrame" ref="a5018654d95b4bca786c90c073fba4898" args="(Real timePos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1TransformKeyFrame.html">TransformKeyFrame</a>* <a class="el" href="classOgre_1_1NodeAnimationTrack.html#a5018654d95b4bca786c90c073fba4898">Ogre::NodeAnimationTrack::createNodeKeyFrame</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timePos</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a new <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> and adds it to this animation at the given time index. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>It is better to create KeyFrames in time order. Creating them out of order can result in expensive reordering processing. Note that a <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> at time index 0.0 is always created for you, so you don't need to create this one, just access it using getKeyFrame(0); </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">timePos</td><td>The time from which this <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> will apply. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a154e16dad0e109284e1119251aa4da3f"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::getAssociatedNode" ref="a154e16dad0e109284e1119251aa4da3f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Node.html">Node</a>* <a class="el" href="classOgre_1_1NodeAnimationTrack.html#a154e16dad0e109284e1119251aa4da3f">Ogre::NodeAnimationTrack::getAssociatedNode</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a pointer to the associated <a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> object (if any). </p>

</div>
</div>
<a class="anchor" id="a32de796f12f6afee4c93e12625535577"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::getHandle" ref="a32de796f12f6afee4c93e12625535577" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1AnimationTrack.html#a32de796f12f6afee4c93e12625535577">Ogre::AnimationTrack::getHandle</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the handle associated with this track. </p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00145">145</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2eddbf3e31adce0c1cde9db3d710c131"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::getInterpolatedKeyFrame" ref="a2eddbf3e31adce0c1cde9db3d710c131" args="(const TimeIndex &amp;timeIndex, KeyFrame *kf) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1NodeAnimationTrack.html#a2eddbf3e31adce0c1cde9db3d710c131">Ogre::NodeAnimationTrack::getInterpolatedKeyFrame</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TimeIndex.html">TimeIndex</a> &amp;&#160;</td>
          <td class="paramname"><em>timeIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> *&#160;</td>
          <td class="paramname"><em>kf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Gets a <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> object which contains the interpolated transforms at the time index specified. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> objects held by this class are transformation snapshots at discrete points in time. Normally however, you want to interpolate between these keyframes to produce smooth movement, and this method allows you to do this easily. In animation terminology this is called 'tweening'. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">timeIndex</td><td>The time (in relation to the whole animation sequence) </td></tr>
    <tr><td class="paramname">kf</td><td>Keyframe object to store results </td></tr>
  </table>
  </dd>
</dl>
 
<p>Implements <a class="el" href="classOgre_1_1AnimationTrack.html#a48a8e96d4cb65f050dfed427f4442aa4">Ogre::AnimationTrack</a>.</p>

</div>
</div>
<a class="anchor" id="af27f57a984619052cca4726cdfd26f3c"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::getKeyFrame" ref="af27f57a984619052cca4726cdfd26f3c" args="(unsigned short index) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a>* <a class="el" href="classOgre_1_1AnimationTrack.html#af27f57a984619052cca4726cdfd26f3c">Ogre::AnimationTrack::getKeyFrame</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> at the specified index. </p>

</div>
</div>
<a class="anchor" id="a55533ed5218c6d423e9443afa2580f5a"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::getKeyFramesAtTime" ref="a55533ed5218c6d423e9443afa2580f5a" args="(const TimeIndex &amp;timeIndex, KeyFrame **keyFrame1, KeyFrame **keyFrame2, unsigned short *firstKeyIndex=0) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1AnimationTrack.html#a55533ed5218c6d423e9443afa2580f5a">Ogre::AnimationTrack::getKeyFramesAtTime</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TimeIndex.html">TimeIndex</a> &amp;&#160;</td>
          <td class="paramname"><em>timeIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> **&#160;</td>
          <td class="paramname"><em>keyFrame1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> **&#160;</td>
          <td class="paramname"><em>keyFrame2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short *&#160;</td>
          <td class="paramname"><em>firstKeyIndex</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the 2 <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> objects which are active at the time given, and the blend value between them. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>At any point in time in an animation, there are either 1 or 2 keyframes which are 'active', 1 if the time index is exactly on a keyframe, 2 at all other times i.e. the keyframe before and the keyframe after. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method returns those keyframes given a time index, and also returns a parametric value indicating the value of 't' representing where the time index falls between them. E.g. if it returns 0, the time index is exactly on keyFrame1, if it returns 0.5 it is half way between keyFrame1 and keyFrame2 etc. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">timeIndex</td><td>The time index. </td></tr>
    <tr><td class="paramname">keyFrame1</td><td>Pointer to a <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> pointer which will receive the pointer to the keyframe just before or at this time index. </td></tr>
    <tr><td class="paramname">keyFrame2</td><td>Pointer to a <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> pointer which will receive the pointer to the keyframe just after this time index. </td></tr>
    <tr><td class="paramname">firstKeyIndex</td><td>Pointer to an unsigned short which, if supplied, will receive the index of the 'from' keyframe in case the caller needs it. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Parametric value indicating how far along the gap between the 2 keyframes the timeIndex value is, e.g. 0.0 for exactly at 1, 0.25 for a quarter etc. By definition the range of this value is: 0.0 &lt;= returnValue &lt; 1.0 . </dd></dl>

</div>
</div>
<a class="anchor" id="ad0e20b825ba5221fe809456795fa9afe"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::getNodeKeyFrame" ref="ad0e20b825ba5221fe809456795fa9afe" args="(unsigned short index) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1TransformKeyFrame.html">TransformKeyFrame</a>* <a class="el" href="classOgre_1_1NodeAnimationTrack.html#ad0e20b825ba5221fe809456795fa9afe">Ogre::NodeAnimationTrack::getNodeKeyFrame</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> at the specified index. </p>

</div>
</div>
<a class="anchor" id="ae0c1160b89c7f2be74ae2962239bd732"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::getNumKeyFrames" ref="ae0c1160b89c7f2be74ae2962239bd732" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned short <a class="el" href="classOgre_1_1AnimationTrack.html#ae0c1160b89c7f2be74ae2962239bd732">Ogre::AnimationTrack::getNumKeyFrames</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the number of keyframes in this animation. </p>

</div>
</div>
<a class="anchor" id="a2e5269293886cae1d0bc7e0255b239fd"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::getParent" ref="a2e5269293886cae1d0bc7e0255b239fd" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Animation.html">Animation</a>* <a class="el" href="classOgre_1_1AnimationTrack.html#a2e5269293886cae1d0bc7e0255b239fd">Ogre::AnimationTrack::getParent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the parent <a class="el" href="classOgre_1_1Animation.html" title="An animation sequence.">Animation</a> object for this track. </p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00240">240</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4186c14ee9b495a25cfb529e001a5569"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::getUseShortestRotationPath" ref="a4186c14ee9b495a25cfb529e001a5569" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1NodeAnimationTrack.html#a4186c14ee9b495a25cfb529e001a5569">Ogre::NodeAnimationTrack::getUseShortestRotationPath</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the method of rotation calculation. </p>

</div>
</div>
<a class="anchor" id="a33dfa5ceaf4d6636da3a46038068aa11"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::hasNonZeroKeyFrames" ref="a33dfa5ceaf4d6636da3a46038068aa11" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1NodeAnimationTrack.html#a33dfa5ceaf4d6636da3a46038068aa11">Ogre::NodeAnimationTrack::hasNonZeroKeyFrames</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method to determine if this track has any KeyFrames which are doing anything useful - can be used to determine if this track can be optimised out. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1AnimationTrack.html#a3a07b2082c15608cc24be21e2b6bb822">Ogre::AnimationTrack</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="abab18a48c2cf56ef09d5049fa8289ad2"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::optimise" ref="abab18a48c2cf56ef09d5049fa8289ad2" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1NodeAnimationTrack.html#abab18a48c2cf56ef09d5049fa8289ad2">Ogre::NodeAnimationTrack::optimise</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Optimise the current track by removing any duplicate keyframes. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1AnimationTrack.html#ad96281be1b189c69a1dbd2283d583503">Ogre::AnimationTrack</a>.</p>

</div>
</div>
<a class="anchor" id="a4e61fb2e00abd26a854d122452cb21a0"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::populateClone" ref="a4e61fb2e00abd26a854d122452cb21a0" args="(AnimationTrack *clone) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimationTrack.html#a4e61fb2e00abd26a854d122452cb21a0">Ogre::AnimationTrack::populateClone</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&#160;</td>
          <td class="paramname"><em>clone</em></td><td>)</td>
          <td> const<code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for clone implementation. </p>

</div>
</div>
<a class="anchor" id="ac8f7b83d742998ed46c8cdb10e404df6"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::removeAllKeyFrames" ref="ac8f7b83d742998ed46c8cdb10e404df6" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimationTrack.html#ac8f7b83d742998ed46c8cdb10e404df6">Ogre::AnimationTrack::removeAllKeyFrames</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Removes all the KeyFrames from this track. </p>

</div>
</div>
<a class="anchor" id="a3e1ccd99179d804992a5224fe811c2dd"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::removeKeyFrame" ref="a3e1ccd99179d804992a5224fe811c2dd" args="(unsigned short index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimationTrack.html#a3e1ccd99179d804992a5224fe811c2dd">Ogre::AnimationTrack::removeKeyFrame</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Removes a <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> by it's index. </p>

</div>
</div>
<a class="anchor" id="a9c488e5aa6c197205cd1d70e83a22aa7"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::setAssociatedNode" ref="a9c488e5aa6c197205cd1d70e83a22aa7" args="(Node *node)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1NodeAnimationTrack.html#a9c488e5aa6c197205cd1d70e83a22aa7">Ogre::NodeAnimationTrack::setAssociatedNode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Node.html">Node</a> *&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the associated <a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> object which will be automatically affected by calls to 'apply'. </p>

</div>
</div>
<a class="anchor" id="afe26aa738aca34c07407b6566b5d9eeb"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::setListener" ref="afe26aa738aca34c07407b6566b5d9eeb" args="(Listener *l)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimationTrack.html#afe26aa738aca34c07407b6566b5d9eeb">Ogre::AnimationTrack::setListener</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationTrack_1_1Listener.html">Listener</a> *&#160;</td>
          <td class="paramname"><em>l</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a listener for this track. </p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00237">237</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="a489fa7a407f81e876e947127cd52d7bb"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::setUseShortestRotationPath" ref="a489fa7a407f81e876e947127cd52d7bb" args="(bool useShortestPath)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1NodeAnimationTrack.html#a489fa7a407f81e876e947127cd52d7bb">Ogre::NodeAnimationTrack::setUseShortestRotationPath</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>useShortestPath</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the method of rotation calculation. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a5fb5dc3c01452aa4d542981485d15080"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::mHandle" ref="a5fb5dc3c01452aa4d542981485d15080" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1AnimationTrack.html#a5fb5dc3c01452aa4d542981485d15080">Ogre::AnimationTrack::mHandle</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00245">245</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2c053bac1d2eedc782eb24b79dc79a21"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::mKeyFrameIndexMap" ref="a2c053bac1d2eedc782eb24b79dc79a21" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationTrack.html#a2faf6bb4a4d61446bc25795f8f7d957c">KeyFrameIndexMap</a> <a class="el" href="classOgre_1_1AnimationTrack.html#a2c053bac1d2eedc782eb24b79dc79a21">Ogre::AnimationTrack::mKeyFrameIndexMap</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00250">250</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8a9bee08f6fa537fc0bcfcee2423775c"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::mKeyFrames" ref="a8a9bee08f6fa537fc0bcfcee2423775c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationTrack.html#affbdca5aaf89d6d611d8da2dc6143f1a">KeyFrameList</a> <a class="el" href="classOgre_1_1AnimationTrack.html#a8a9bee08f6fa537fc0bcfcee2423775c">Ogre::AnimationTrack::mKeyFrames</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00243">243</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab1a098b88d428931e3d45393410bc68c"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::mListener" ref="ab1a098b88d428931e3d45393410bc68c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationTrack_1_1Listener.html">Listener</a>* <a class="el" href="classOgre_1_1AnimationTrack.html#ab1a098b88d428931e3d45393410bc68c">Ogre::AnimationTrack::mListener</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00246">246</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="aea479089005d263e195cde7e4faca665"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::mParent" ref="aea479089005d263e195cde7e4faca665" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Animation.html">Animation</a>* <a class="el" href="classOgre_1_1AnimationTrack.html#aea479089005d263e195cde7e4faca665">Ogre::AnimationTrack::mParent</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00244">244</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9254f84e8a884379be88508481a9760d"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::mSplineBuildNeeded" ref="a9254f84e8a884379be88508481a9760d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1NodeAnimationTrack.html#a9254f84e8a884379be88508481a9760d">Ogre::NodeAnimationTrack::mSplineBuildNeeded</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00403">403</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="aeda31d3b9e77688be33d7e57b0d25f0b"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::mSplines" ref="aeda31d3b9e77688be33d7e57b0d25f0b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1NodeAnimationTrack_1_1Splines.html">Splines</a>* <a class="el" href="classOgre_1_1NodeAnimationTrack.html#aeda31d3b9e77688be33d7e57b0d25f0b">Ogre::NodeAnimationTrack::mSplines</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00402">402</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0dc80f6d98b2b0d4d1022af4629abf88"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::mTargetNode" ref="a0dc80f6d98b2b0d4d1022af4629abf88" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Node.html">Node</a>* <a class="el" href="classOgre_1_1NodeAnimationTrack.html#a0dc80f6d98b2b0d4d1022af4629abf88">Ogre::NodeAnimationTrack::mTargetNode</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00400">400</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5b92dd90793e598d1338e0573a22d62d"></a><!-- doxytag: member="Ogre::NodeAnimationTrack::mUseShortestRotationPath" ref="a5b92dd90793e598d1338e0573a22d62d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1NodeAnimationTrack.html#a5b92dd90793e598d1338e0573a22d62d">Ogre::NodeAnimationTrack::mUseShortestRotationPath</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Defines if rotation is done using shortest path. </p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00405">405</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
